Page MenuHomePhabricator

Script for populating term_full_entity_id column in wb_terms table
Closed, ResolvedPublic

Description

We need a script to populate the term_full_entity_id column in wb_terms, and also probably to update the column when running database updater.

then we will need to run the script.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
StalledNone
OpenNone
ResolvedAddshore
Resolvedthiemowmde
ResolvedAddshore
DeclinedNone
OpenNone
Resolvedhoo
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
InvalidLydia_Pintscher
ResolvedLadsgroup
ResolvedAddshore
ResolvedLadsgroup
DeclinedNone
Resolvedaude

Event Timeline

aude created this task.Apr 8 2017, 10:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2017, 10:46 PM
aude renamed this task from Populate term_full_entity_id column in wb_terms table to Script for populating term_full_entity_id column in wb_terms table.Apr 8 2017, 10:47 PM
aude claimed this task.
aude updated the task description. (Show Details)
aude moved this task from Proposed to Doing on the Wikidata-Former-Sprint-Board board.
WMDE-leszek triaged this task as High priority.Apr 10 2017, 7:15 AM

Change 347306 had a related patch set uploaded (by Aude):
[mediawiki/extensions/Wikibase@master] Script for populating term_full_entity_id column in wb_terms [WIP]

https://gerrit.wikimedia.org/r/347306

aude moved this task from Backlog to Doing on the User-aude board.
daniel awarded a token.Jun 9 2017, 3:36 PM
daniel added a subscriber: daniel.

Change 358387 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Make TermSqlIndexBuilder only rebuild entity terms when necessary

https://gerrit.wikimedia.org/r/358387

Change 358531 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Only load entity data TermSqlIndexBuilder when necessary

https://gerrit.wikimedia.org/r/358531

Change 347306 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Script for rebuilding wb_terms table (e.g. w/ term_full_entity_id)

https://gerrit.wikimedia.org/r/347306

Change 358387 abandoned by WMDE-leszek:
Make TermSqlIndexBuilder only rebuild entity terms when necessary

Reason:
Not needed given what is done in Ia0409ebfd7c905b178c8ebe17945226a845e010c

https://gerrit.wikimedia.org/r/358387

daniel closed this task as Resolved.Jul 24 2017, 11:18 AM

Script exists. Any improvements can get their own ticket.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 11:18 AM

Change 358531 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Only load entity data TermSqlIndexBuilder when doing full rebuild

https://gerrit.wikimedia.org/r/358531